# Get resource state

Get ` https://app.mk.io/api/v1/projects/:project_name/media/transforms/:transform_name/jobs/:job_name/state`

Get the internal state of the resource. The state value depends on the resource type. For details about the potential states for each resource type, see [our resource state docs](https://docs.mediakind.com/mkio/reference/resource-states).

RBAC Capability Required: `ams.job.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

| Parameter         | Type    | Requirement |
|------------------|---------|-------------|
| project_name     | string  | Required     |
| transform_name   | string  | Required     |
| job_name         | string  | Required     |

## Response

### 200 OK

| Field                      | Type    | Requirement |
|---------------------------|---------|-------------|
| status                     | object  | Required     |

The status of the resource.

#### Status Object

| Property     | Type    | Requirement |
|--------------|---------|-------------|
| state        | string  | Required     |

The state of the resource. The value depends on the resource type.

## Errors

### 400 Bad Request

| Field                      | Type    | Requirement |
|---------------------------|---------|-------------|
| error                      | object  | Required     |

Pertinent information about the error.

#### Error Object

| Property     | Type    | Requirement |
|--------------|---------|-------------|
| code         | string  | Required     |
| detail       | string  | Required     |
| extraDetail  | map     | Optional     |
| ref          | string  | Required     |
| status       | integer | Required     |

### 401 Unauthorized

### 403 Forbidden

### 404 Not Found

### 429 Too Many Requests

### 500 Internal Server Error
